import express,{Router, Request, Response} from 'express';
// import {User} from '../models/User'; 
// import {Project} from '../models/Project';
import {Task} from '../models/Task';
import {myDataSource} from '../app-data-source';
// import { nanoid } from 'nanoid';

const router:Router = express.Router();
const dataSource = myDataSource;


router.get('/', async(req:Request, res:Response):Promise<Response> => {
    const tasks = await dataSource.manager.find(Task)
    return res.send({tasks})
})
export default router;
